Name:		pngtools
Version:	0.4
Release:	%mkrel 10
Summary:	Suite of utilities to work with PNG images
# GitHub source is https://github.com/mikalstill/pngtools
Source0:	https://www.madebymikal.com/pngtools/source/pngtools_0_4.tgz
Source1:	pngchunks.1
Patch0:		pngtools-0.4-mga-man-section.patch
Patch1:		pngtools-0.4-mga-include.patch
Patch2:		pngtools-0.4-mga-long-printf.patch
Patch3:		pngtools-0.4-git-long-int.patch
License:	GPLv2
Group:		Graphics/Utilities
URL:		https://www.madebymikal.com/category/pngtools/
BuildRequires:	pkgconfig(libpng12)

%description
Provides a series of handy PNG tools:
- pngchunkdesc: decodes the "hidden" information in a PNG chunk name
- pngchunks: decodes the constituent parts of a PNG file
- pngcp: copies a PNG image while changing the bit depth or samples per pixel
- pnginfo: displays interesting information about a PNG file

%prep
%setup -q
%autopatch -p1

%build
%configure CPPFLAGS=-I/usr/include/libpng12
# The configure script doesn't allow linking against anything other than
# libpng, so override the configured libs with the right one
%make_build LIBS='-lm -lpng12'

%install
%makeinstall
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 man/pngchunkdesc.3 %{buildroot}/%{_mandir}/man1/pngchunkdesc.1
install -m 0644 man/pngcp.3 %{buildroot}/%{_mandir}/man1/pngcp.1
install -m 0644 man/pnginfo.3 %{buildroot}/%{_mandir}/man1/pnginfo.1
install -m 0644 %{_sourcedir}/pngchunks.1 %{buildroot}/%{_mandir}/man1/pngchunks.1

%files
%doc AUTHORS README
%{_bindir}/pngchunkdesc
%{_bindir}/pngchunks
%{_bindir}/pngcp
%{_bindir}/pnginfo
%{_mandir}/man1/pngchunkdesc.1*
%{_mandir}/man1/pngchunks.1*
%{_mandir}/man1/pngcp.1*
%{_mandir}/man1/pnginfo.1*


%changelog
* Mon Apr 01 2024 danf <danf> 0.4-10.mga10
+ Revision: 2053725
- Fix compile errors with glibc 2.39

* Wed Mar 16 2022 umeabot <umeabot> 0.4-9.mga9
+ Revision: 1795063
- Mageia 9 Mass Rebuild
+ danf <danf>
- Updated URL

* Fri Feb 14 2020 umeabot <umeabot> 0.4-8.mga8
+ Revision: 1516019
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4-7.mga7
+ Revision: 1300329
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.4-6.mga6
+ Revision: 943931
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4-5.mga5
+ Revision: 739977
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 0.4-4.mga5
+ Revision: 738200
- Mageia 5 Mass Rebuild
+ tv <tv>
- build with libpng16

* Sat Oct 19 2013 umeabot <umeabot> 0.4-2.mga4
+ Revision: 528995
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 pterjan <pterjan> 0.4-1.mga4
+ Revision: 448501
- Changed BuildRequires to use pkgconfig() instead of libpng12-devel
+ danf <danf>
- initial creation of pngtools package

